** Amanda Sload
** Graph for life skills

clear all
set more off
pause off


	use "$merged_data/nine_skills.dta",clear
	
	global indices index_selfconf index_emotion index_empathy index_selfcontrol index_decision index_perseverance index_communication index_relationship index_creativeprobsolv
	global nocontrols treat stratafixed*, cl(dise) 

	local line=1
	local sel=`line'+1
	g Xvar=" "
	g Xorder=.
	g Xb=.
	g Xse=.
	
	** Run regression to get estimates
	
	foreach var of varlist $indices{
		reg `var' $nocontrols
	
		replace Xvar="`var'" in `line'
		replace Xorder=`line' in `line'
		replace Xb=_b[treat] in `line'
		replace Xse=_se[treat] in `line'

		local line=`line'+1
	}
	
	keep Xvar-Xse

	*make confidence intervals

	g min=Xb-1.96*Xse
	g max=Xb+1.96*Xse


	#delimit;

	sort Xb; 
	gen size_order = _n;
	replace size_order = . if Xorder ==.;
	label var size_order " ";
	twoway (rcap min max size_order, horizontal 
	ylabel( 1 "Self-control index"
	2 "Empathy index"
	3 "Expressing and managing emotions index"
	4 "Perseverance index"
	5 "Self-confidence index"
	6 "Communication index"
	7 "Creative problem solving index"
	8 "Relationship-building index"
	9 "Decision-making index"

	, angle(0))
	ysize(2)
	xlabel(-0.125(0.025)0.125)
	) 
	(scatter size_order Xb, msize(medium)  xline(0) xtitle("Standard deviations") plotregion(style(none)) legend(off) graphregion(color(white)));

	graph export "$figures/figure12.tif", replace;
