** Replication master do-file
** 5/13/19

clear all
set more off
pause off
cap log close

* Defining Directories

	** Pathway for where replication files are stored
	global directory = // insert pathway here 
	
	** Do-files and data are in sub-folders of the directory 
	global dofiles = "$directory/Do_files"
	global data = "$directory/Data"
	
	** Make folders for merged data, tables, and figures
	cap mkdir "$directory/Merged_data"
	global merged_data = "$directory/Merged_data"
	
	cap mkdir "$directory/Tables"
	global tables = "$directory/Tables"
	
	cap mkdir "$directory/Figures"
	global figures = "$directory/Figures"
	
	** Make subfolders to organize tables
	cap mkdir "$directory/Tables/summary"
	
	cap mkdir "$directory/Tables/table5"
	
	cap mkdir "$directory/Tables/table6"
	
	cap mkdir "$directory/Tables/table7"
	
	cap mkdir "$directory/Tables/table8"
	
	cap mkdir "$directory/Tables/heterogeneous_effects"
	
* Install outreg2, create log file
	cap ssc install outreg2
	cap ssc install estout
	
	log using "$directory/IL-26700-14-75-K-25_Log of Analysis.txt", text replace

* Merging, creating indexes, creating tables & figures
	
	** Merge section datasets
	do "$dofiles/Endline_merge.do" // merge endline
	do "$dofiles/Baseline_merge.do" // merge baseline
	
	** Create baseline and endline indexes
	do "$dofiles/Endline_indexes.do" // make endline indexes
	do "$dofiles/Baseline_indexes.do" // make baseline indexes
	
	** Create question variables & questions for 9 skills / curriculum tables
	do "$dofiles/Lifeskills_questions.do"
	
	** Create summary statistic and balance tables
	do "$dofiles/Tables1_3.do" // household summary stats & balance table
	do "$dofiles/Tables2_4.do" // child summary stats & balance table
	
	** Create tables 5-12, including q statistics for Tables 6-1, 6-2, 6-3
	do "$dofiles/Tables5_12.do" // create tables
	do "$dofiles/Table6_qstats.do" // create q-statistics
	
	** Create corresponding figure
	
	do "$dofiles/Figures6_11.do" // figures corresponding to tables 5-8
	
	** Create tables & figure for life skills measures (Tables 13, 14)
	do "$dofiles/Tables13_14.do" // tables 13 and 14, including q statistics
	do "$dofiles/Figure12.do" // makes corresponding figure
	
	** Create dataset for Figure 1, make Figure 1
	do "$dofiles/Figure1.do" // summary figure
	
	
