** Balance table for children

** Get mother's education from endline

	use "$merged_data/endline_indices.dta",clear
	keep mompostprim child_id
	
	tempfile momed
	save `momed', replace
	
** Tables 2 and 4 -- keeping regardless of if they're at endline

	use "$merged_data/bl_indices_nonmis.dta",clear
	
	merge 1:1 child_id using "`momed'"
	drop _merge // just 24 from master didn't merge--girls dropped at endline 
	
	** school quality indexes
	gen belowmed_qualindex = abvmed_qualindex == 0 if abvmed_qualindex !=.
	
	** order indexes to be right or table
	order abvmed_qualindex belowmed_qualindex bl_q203_age mompostprim bl_index_marriage bl_index_dropout bl_index_grade bl_school_dummy bl_school_attend  bl_index_delay bl_index_attempts bl_index_time bl_index_scavenger bl_index_socioemotional bl_index_movement1-bl_index_enumerator bl_index_p_strengths-bl_index_p_marriage bl_work_child bl_work_pay bl_work_nonfamily bl_child_labor bl_hazardous_labor bl_otherworst_labor bl_hours_worked  bl_hours_unpd_hhser bl_hours_active bl_hours_outside  bl_time_homework bl_time_school
	
	global table2 abvmed_qualindex - bl_time_school
	
	tabstat $table2 , statistics(mean sd n) columns(statistics) varwidth(24) format(%8.3f) save

	mat T = r(StatTotal)' // the prime is for transposing the matrix

	putexcel set "$tables/summary/Table2.xlsx",replace // remember to specify the full path
	putexcel A1 = matrix(T), names
	
	** table 4: balance table
	
	** control girls
	preserve
	keep if treat == 0
	
	tabstat $table2 ,statistics(mean sd) columns(statistics) varwidth(24) format(%8.3f) save

	mat T = r(StatTotal)' 

	putexcel set "$tables/summary/Table4_control.xlsx",replace 
	putexcel A1 = matrix(T), names
	
	restore
	preserve
	
	** treated girls
	keep if treat == 1
	
	tabstat $table2 ,statistics(mean sd) columns(statistics) varwidth(24) format(%8.3f) save

	mat T = r(StatTotal)' 

	putexcel set "$tables/summary/Table4_treat.xlsx",replace 
	putexcel A1 = matrix(T), names
	
	restore
	
	** difference
	reg abvmed_qualindex treat, cl(dise)
	outreg2 using "$tables/summary/Table4_dif.xls", replace dec(3) excel
	
	foreach var of varlist belowmed_qualindex- bl_time_school {
	reg `var' treat ,cl(dise)
	outreg2 using "$tables/summary/Table4_dif.xls", dec(3) excel
	}
	
	
	
	
